Campaigns

Get a campaign CSV review

GET
/api/campaigns/import/sessions/{importId}

Returns the status of a CSV review session and the total and selected rows of each review group. While the session is analyzing, analyzedRows counts the rows written so far. A session whose analysis operation failed or was cancelled is moved to failed with error set.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

importId*string

The CSV review session id returned by the upload.

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/campaigns/import/sessions/string"
{  "success": true,  "data": {    "importId": "6710b2c4e8a1d4e001a0b2e0",    "status": "ready",    "fileName": "contacts.csv",    "totalRows": 3,    "analyzedRows": 3,    "counts": {      "new": {        "total": 1,        "selected": 1      },      "existing": {        "total": 0,        "selected": 0      },      "outbound": {        "total": 1,        "selected": 1      },      "inbound": {        "total": 0,        "selected": 0      },      "other_users": {        "total": 0,        "selected": 0      },      "protected": {        "total": 0,        "selected": 0      },      "duplicate": {        "total": 1,        "selected": 0      },      "invalid": {        "total": 0,        "selected": 0      },      "outside_segments": {        "total": 0,        "selected": 0      }    },    "segmentSelected": {},    "selectedTotal": 2,    "campaignId": null,    "error": null  }}